package com.docus.server.collection.infrastructure.dao.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案基本信息
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "TBasic对象", description = "病案基本信息")
public class TBasic implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案主键")
    @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private Long patientId;

    @ApiModelProperty(value = "住院次数")
    private Integer admissTimes;

    @ApiModelProperty(value = "病案号")
    private String inpatientNo;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄_岁")
    private Integer age;

    @ApiModelProperty(value = "身份证")
    private String idCard;

    @ApiModelProperty(value = "住院日期")
    private Date admissDate;

    @ApiModelProperty(value = "住院科室")
    private String admissDept;

    @ApiModelProperty(value = "住院科室名称")
    private String admissDeptName;

    @ApiModelProperty(value = "出院日期")
    private Date disDate;

    @ApiModelProperty(value = "出院科室")
    private String disDept;

    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;

    @ApiModelProperty(value = "实际住院天数")
    private Integer admissDays;

    @ApiModelProperty(value = "主管医生")
    private String attending;

    @ApiModelProperty(value = "主管医生名称")
    private String attendingName;

    @ApiModelProperty(value = "是否死亡")
    private Integer isDead;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "性别名称")
    private String sexName;

    @ApiModelProperty(value = "记账号")
    private String jzh;

    @ApiModelProperty(value = "床位号")
    private String bedNum;

    @ApiModelProperty(value = "责任护士")
    private String dutyNurse;

    @ApiModelProperty(value = "是否其他数据 0否，1是婴儿，2医疗保险类别是家庭病床")
    private Integer isOther;

    @ApiModelProperty(value = "婴儿母亲住院流水号")
    private String motherInpatientNo;
}
